Bug 1834326 (CVE-2020-10967) - CVE-2020-10967 dovecot: sending mail with empty quoted localpart leads to DoS
Summary: CVE-2020-10967 dovecot: sending mail with empty quoted localpart leads to DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10967
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1836933 1840356
Blocks: 1834329
TreeView+ depends on / blocked
 
Reported: 2020-05-11 14:12 UTC by Dhananjay Arunesh
Modified: 2021-02-16 20:04 UTC (History)
6 users (show)

Fixed In Version: Dovecot 2.3.10.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:25:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4763 0 None None None 2020-11-04 03:41:55 UTC

Description Dhananjay Arunesh 2020-05-11 14:12:56 UTC
A vulnerability was found in dovecot 2.3.0 before 2.3.10 where, by sending mail with empty quoted localpart causes submission or lmtp component to crash.

Comment 1 Dhananjay Arunesh 2020-05-11 14:22:12 UTC
Acknowledgments:

Name: mailbox.org

Comment 2 Marian Rehak 2020-05-18 14:08:00 UTC
Created dovecot tracking bugs for this issue:

Affects: fedora-all [bug 1836933]

Comment 5 Stefan Cornelius 2020-05-28 14:23:29 UTC
External References:

https://dovecot.org/pipermail/dovecot-news/2020-May/000438.html

Comment 6 Product Security DevOps Team 2020-11-04 02:25:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10967

Comment 7 errata-xmlrpc 2020-11-04 03:41:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4763 https://access.redhat.com/errata/RHSA-2020:4763


Note You need to log in before you can comment on or make changes to this bug.